package com.sipai.jspatrol.Patrol.patrolList;

import android.content.Context;

import com.sipai.jspatrol.Bean.BaseEntity;

import java.util.HashMap;

/**
 * created by lvliming on 2019/9/11
 */
public interface PatrolListContract {

    interface Model{
        void executeData(Context context, HashMap<String, String> map, String server, String url) throws Exception;
    }

    interface View<T extends BaseEntity>{
        void handlerResult(T t);
    }

    interface Presenter<T extends BaseEntity>{
        //请求数据
        void requestData(Context context, HashMap<String, String> map, String server, String url);

        //结果响应
        void responseResult(T t);
    }
}
